Returns knowledge documents for the authenticated Agent, ordered from newest to oldest. Poll this endpoint or Retrieve a knowledge document to observe processing status.
api.heroui.pro/v1/knowledgeSend the request to see the live response from the Agents API.
AgentApiKey An Agent API key with the permission required by the operation.
In: header
The maximum number of objects to return. Defaults to 20 and is capped at 100.
201 <= value <= 100An opaque cursor returned by the previous page.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.heroui.pro/v1/knowledge"{
"data": [
{
"character_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"error_message": "string",
"file_name": "string",
"file_size_bytes": 0,
"id": "string",
"is_enabled": true,
"last_checked_at": "2019-08-24T14:15:22Z",
"last_synced_at": "2019-08-24T14:15:22Z",
"name": "string",
"next_refresh_at": "2019-08-24T14:15:22Z",
"object": "knowledge_document",
"refresh_error_message": "string",
"refresh_interval_hours": 0,
"refresh_status": "idle",
"source_type": "file",
"source_url": "http://example.com",
"status": "processing",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"has_more": true,
"next_cursor": "string",
"object": "list"
}{
"message": "limit must be an integer between 1 and 100.",
"name": "bad_request"
}{
"message": "The supplied API key is invalid or revoked.",
"name": "unauthorized"
}{
"message": "This API key does not have the required knowledge:read permission.",
"name": "insufficient_scope"
}{
"message": "Too many requests. Please try again later.",
"name": "rate_limited"
}{
"message": "Internal server error.",
"name": "internal_server_error"
}{
"message": "The API is temporarily unavailable.",
"name": "service_unavailable"
}